// ============
// HELLPAD SKiN
// ============

models/wop_players/padman/hellpad_goggles
{
	cull disable
	{
	map models/wop_players/padman/hellpad_head
	alphaFunc ge128
	rgbGen lightingDiffuse
	}
	{
        map models/wop_players/padman/pad_fx
		blendfunc GL_DST_ALPHA GL_DST_ALPHA
        tcgen environment
		rgbGen lightingDiffuse
		depthfunc equal
    }
}

models/wop_players/padman/hellpad_goggles_blue
{
	cull disable
	{
		map models/wop_players/padman/hellpad_head_blue
		alphaFunc ge128
		rgbGen lightingDiffuse
	}
	{
        map models/wop_players/padman/pad_fx
		blendfunc GL_DST_ALPHA GL_DST_ALPHA
        tcgen environment
		rgbGen lightingDiffuse
		depthfunc equal
    }
}

models/wop_players/padman/hellpad_cape
{
    cull disable
	deformVertexes wave 100 sin 0 0.2 3 1
	{
		map models/wop_players/padman/hellpad_body
        rgbGen identity
	}
}

models/wop_players/padman/hellpad_cape_blue
{
	cull disable
	deformVertexes wave 100 sin 0 0.2 3 1
	{
		map models/wop_players/padman/hellpad_body_blue
        rgbGen identity
	}
}

models/wop_players/padman/hellpad_cape_red
{
	cull disable
	deformVertexes wave 100 sin 0 0.2 3 1
	{
		map models/wop_players/padman/hellpad_body_red
        rgbGen identity
	}
}

models/wop_players/padman/hellpad_head
{
	nopicmip
	nomipmaps
	cull none
    {
		map models/wop_players/padman/hellpad_head
		rgbGen lightingDiffuse
    }
	{
		map textures/pad_gfx02/tinpad4
		blendfunc GL_ONE GL_ONE
		tcmod scale .5 .5
		tcGen environment
		rgbGen lightingdiffuse
    }
    {
        map models/wop_players/padman/hellpad_head
		alphaFunc ge128
		rgbGen lightingDiffuse
    }
}

models/wop_players/padman/hellpad_head_blue
{
	nopicmip
	nomipmaps
	cull none
    {
		map models/wop_players/padman/hellpad_head_blue
		rgbGen lightingDiffuse
    }
	{
		map textures/pad_gfx02/tinpad4
		blendfunc GL_ONE GL_ONE
		tcmod scale .5 .5
		tcGen environment
		rgbGen lightingdiffuse
    }
    {
        map models/wop_players/padman/hellpad_head_blue
		alphaFunc ge128
		rgbGen lightingDiffuse
    }
}

// ================
// HELLPAD GLOWSKiN
// ================

models/wop_players/padman/hellpad_head_light_s
{
	nopicmip
	{		
		map models/wop_players/padman/hellpad_head_light		
        blendFunc GL_ONE GL_ZERO		
        alphaFunc GE128		
        rgbGen entity	
    }
	{
		map models/wop_players/padman/hellpad_head_light		
        blendFunc GL_ONE GL_ZERO		
        alphaFunc LT128		
        rgbGen identity	
    }		
}

models/wop_players/padman/hellpad_body_light_s
{
	nopicmip
	{
		map models/wop_players/padman/hellpad_body_light
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		rgbGen entity
	}
	{
		map models/wop_players/padman/hellpad_body_light
		blendFunc GL_ONE GL_ZERO
		alphaFunc LT128
		rgbGen identity
	}	
}

models/wop_players/padman/hellpad_cape_light_s
{
	cull disable
	deformVertexes wave 100 sin 0 0.2 3 1
	{
		map models/wop_players/padman/hellpad_body_light
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
		}
		{
		map models/wop_players/padman/hellpad_body_light
		blendFunc GL_ONE GL_ZERO
		rgbGen entity
        }
}
